SSL-CERT.ECLASS(5)

NAME
ssl-cert - provides common SSL certificates installation routines

DESCRIPTION
The ssl-cert eclass contains a function used to generate and install SSL certificates and related files for testing and initial configuration purposes of TLS/SSL compatible services.

VARIABLES

SSL_DAYS = "730" (2 years)
    The generated certificate will be expired after this many days.

SSL_BITS = "1024"
    The number of bits used for the certificate keys.

SSL_COUNTRY = "US"
    The country (code only) for the generated certificate.

SSL_STATE = "California"
    The state (no abbreviation) for the generated certificate.

SSL_LOCALITY = "Santa Barbara"
    The locality (city) name for the generated certificate.

SSL_ORGANIZATION = "SSL Server"
    The organization (business) name for the generated certificate.

SSL_UNIT = "For Testing Purposes Only"
    The organizational unit (department) name for the generated certificate.

SSL_COMMONNAME = "localhost"
    The hostname (FQDN) for the generated certificate.

SSL_EMAIL = "root@localhost"
    The technical contact (email address) for the generated certificate.

FUNCTIONS

docert <cert1> [cert2 ...]
    This function will generate and install the requested certificates into the current ${INSDESTTREE} location. For example:
    insinto /etc/ssl/server
    docert mail imap || die "Error creating certificates"

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/

SEE ALSO
ebuild(5)

FILES
/usr/portage/eclass/ssl-cert.eclass

AUTHORS
Max Kalika <max@gentoo.org>

CVS HEADER
$Header: /var/cvsroot/gentoo-src/portage/man/ssl-cert.eclass.5,v 1.3 2004/09/17 00:17:10 vapier Exp $